DBLINK_DISCONNECT(3)

NAME
dblink_disconnect - closes a persistent connection to a remote database

SYNOPSIS

dblink_disconnect() returns text
dblink_disconnect(text connname) returns text

DESCRIPTION

dblink_disconnect() closes a connection previously opened by dblink_connect(). The form with no arguments closes an unnamed connection.

ARGUMENTS

connname
    The name of a named connection to be closed.

RETURN VALUE

Returns status, which is always OK (since any error causes the function to throw an error instead of returning).

EXAMPLES

    SELECT dblink_disconnect();
     dblink_disconnect
    -------------------
     OK
    (1 row)

    SELECT dblink_disconnect('myconn');
     dblink_disconnect
    -------------------
     OK
    (1 row)